# Template Class matrix_scalar_multiplication

- Defined in File matrix.hpp

## Inheritance Relationships

### Base Type

- `public cif::matrix_expression< matrix_scalar_multiplication< M, T > >` (Template Class matrix_expression)

## Class Documentation

template<typename M, typename T>
class matrix_scalar_multiplication : public cif::matrix_expression<matrix_scalar_multiplication<M, T>>

  Implementation of a multiplication operation of a matrix and a scalar value as a matrix expression.

  Template Parameters:

    - M1 – Type of matrix

    - M2 – Type of scalar value

  Public Types

  using value_type = T

    value type

  Public Functions

  inline matrix_scalar_multiplication(const M &m, value_type v)

    constructor

  inline std::size_t dim_m() const

    Return dimension m.

  inline std::size_t dim_n() const

    Return dimension n.

  inline auto operator()(std::size_t i, std::size_t j) const

    Access to the value of element [ i, j ]